optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.OutputConditioning.OutputConditioningFilter Class Reference
Inheritance diagram for optoKummenberg.registers.OutputConditioning.OutputConditioningFilter:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetActiveFiltersMask (self, value)
| GetActiveFiltersMask (self)
| SelectFilterInstance (self, value)
| LoadFilterCoeff (self, value)
| GetFilterInputCoeffNum (self)
| GetFilterOutputCoeffNum (self)
| GetFilterInput (self)
| GetFilterOutput (self)
| GetOutputValueID (self, instance_number)
| SetInputCoeffs (self, index, vector)
| SetOutputCoeffs (self, index, vector)
| GetInputCoeffs (self, index, count)
| GetOutputCoeffs (self, index, count)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| mskActiveFilters
| selectFilterInstance
| loadFilterCoeff
| getInCoeffNbr
| getOutCoeffNbr
| inputValue
| outputValue
| outputValueF0
| outputValueF1
| outputValueF2
| outputValueF3
| vectInputCoeff
| vectOutputCoeff
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Output Conditioning Channel - Offset and Scaling
    System ID: 0xD8 through 0xDF

    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name       | Id   | Type        | Unit               | Range       | Default | Comment                |
    +=====================+======+=============+====================+=============+=========+========================+
    |                     |      |             |                    |             |         |                        |
    +---------------------+------+-------------+--------------------+-------------+---------+------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetActiveFiltersMask()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetActiveFiltersMask | ( |  | self | ) |

## ◆ GetFilterInput()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetFilterInput | ( |  | self | ) |

## ◆ GetFilterInputCoeffNum()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetFilterInputCoeffNum | ( |  | self | ) |

## ◆ GetFilterOutput()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetFilterOutput | ( |  | self | ) |

## ◆ GetFilterOutputCoeffNum()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetFilterOutputCoeffNum | ( |  | self | ) |

## ◆ GetInputCoeffs()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetInputCoeffs | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetOutputCoeffs()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetOutputCoeffs | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetOutputValueID()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.GetOutputValueID | ( |  | self,
|  |  | instance_number )

## ◆ help()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.help | ( |  | ) |
| static

## ◆ LoadFilterCoeff()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.LoadFilterCoeff | ( |  | self,
|  |  | value )

## ◆ SelectFilterInstance()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.SelectFilterInstance | ( |  | self,
|  |  | value )

## ◆ SetActiveFiltersMask()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.SetActiveFiltersMask | ( |  | self,
|  |  | value )

## ◆ SetInputCoeffs()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.SetInputCoeffs | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ SetOutputCoeffs()

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.SetOutputCoeffs | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter._channel
| protected

## ◆ _readonly

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter._readonly
| protected

## ◆ getInCoeffNbr

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.getInCoeffNbr

## ◆ getOutCoeffNbr

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.getOutCoeffNbr

## ◆ inputValue

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.inputValue

## ◆ loadFilterCoeff

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.loadFilterCoeff

## ◆ mskActiveFilters

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.mskActiveFilters

## ◆ name

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.name

## ◆ outputValue

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.outputValue

## ◆ outputValueF0

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.outputValueF0

## ◆ outputValueF1

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.outputValueF1

## ◆ outputValueF2

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.outputValueF2

## ◆ outputValueF3

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.outputValueF3

## ◆ selectFilterInstance

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.selectFilterInstance

## ◆ sys_id

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.sys_id

## ◆ vectInputCoeff

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.vectInputCoeff

## ◆ vectOutputCoeff

optoKummenberg.registers.OutputConditioning.OutputConditioningFilter.vectOutputCoeff

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/OutputConditioning.py